Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1490271 - Error: Package: python2-tracer-0.6.13-2.el7sat.noarch Requires: python-argcomplete
Summary: Error: Package: python2-tracer-0.6.13-2.el7sat.noarch Requires: python-argcom...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: Evgeni Golov
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-11 08:15 UTC by Roman Plevka
Modified: 2018-02-21 16:51 UTC (History)
2 users (show)

Fixed In Version: python-argcomplete-1.7.0-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Roman Plevka 2017-09-11 08:15:43 UTC
Description of problem:
The satellite-tools repo for 6.3 snap #15 contains a broken dependency.

on installing katello-agent:
tl;dr: Error: Package: python2-tracer-0.6.13-2.el7sat.noarch (hpN3JJ_FQpTYkuzaJHCXDiEUCVM_XTygDrgvoQeqAqQ)
           Requires: python-argcomplete



2017-09-09 13:02:28 - robottelo.ssh - INFO - >>> yum install -y katello-agent
2017-09-09 13:02:34 - robottelo.ssh - INFO - <<< stdout
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-
              : manager
Resolving Dependencies
--> Running transaction check
---> Package katello-agent.noarch 0:3.0.2-2.el7sat will be installed
--> Processing Dependency: python-pulp-agent-lib >= 2.6 for package: katello-agent-3.0.2-2.el7sat.noarch
--> Processing Dependency: python-gofer-proton >= 2.5 for package: katello-agent-3.0.2-2.el7sat.noarch
--> Processing Dependency: pulp-rpm-handlers >= 2.6 for package: katello-agent-3.0.2-2.el7sat.noarch
--> Processing Dependency: gofer >= 2.7.6 for package: katello-agent-3.0.2-2.el7sat.noarch
--> Processing Dependency: katello-host-tools for package: katello-agent-3.0.2-2.el7sat.noarch
--> Running transaction check
---> Package gofer.noarch 0:2.7.7-2.el7sat will be installed
--> Processing Dependency: python-gofer = 2.7.7 for package: gofer-2.7.7-2.el7sat.noarch
---> Package katello-host-tools.noarch 0:3.0.2-2.el7sat will be installed
--> Processing Dependency: python2-tracer >= 0.6.12 for package: katello-host-tools-3.0.2-2.el7sat.noarch
--> Processing Dependency: katello-host-tools-fact-plugin for package: katello-host-tools-3.0.2-2.el7sat.noarch
---> Package pulp-rpm-handlers.noarch 0:2.13.3-1.el7sat will be installed
--> Processing Dependency: python-pulp-rpm-common = 2.13.3 for package: pulp-rpm-handlers-2.13.3-1.el7sat.noarch
---> Package python-gofer-proton.noarch 0:2.7.7-2.el7sat will be installed
--> Processing Dependency: python-qpid-proton >= 0.9-5 for package: python-gofer-proton-2.7.7-2.el7sat.noarch
---> Package python-pulp-agent-lib.noarch 0:2.13.3-1.el7sat will be installed
--> Processing Dependency: python-pulp-common = 2.13.3 for package: python-pulp-agent-lib-2.13.3-1.el7sat.noarch
--> Running transaction check
---> Package katello-host-tools-fact-plugin.noarch 0:3.0.2-2.el7sat will be installed
---> Package python-gofer.noarch 0:2.7.7-2.el7sat will be installed
---> Package python-pulp-common.noarch 0:2.13.3-1.el7sat will be installed
--> Processing Dependency: python-isodate >= 0.5.0-1.pulp for package: python-pulp-common-2.13.3-1.el7sat.noarch
---> Package python-pulp-rpm-common.noarch 0:2.13.3-1.el7sat will be installed
---> Package python-qpid-proton.x86_64 0:0.16.0-7.el7 will be installed
--> Processing Dependency: qpid-proton-c(x86-64) = 0.16.0-7.el7 for package: python-qpid-proton-0.16.0-7.el7.x86_64
--> Processing Dependency: libqpid-proton.so.10()(64bit) for package: python-qpid-proton-0.16.0-7.el7.x86_64
---> Package python2-tracer.noarch 0:0.6.13-2.el7sat will be installed
--> Processing Dependency: tracer-common = 0.6.13-2.el7sat for package: python2-tracer-0.6.13-2.el7sat.noarch
--> Processing Dependency: python-psutil for package: python2-tracer-0.6.13-2.el7sat.noarch
--> Processing Dependency: python-beautifulsoup4 for package: python2-tracer-0.6.13-2.el7sat.noarch
--> Processing Dependency: python-argcomplete for package: python2-tracer-0.6.13-2.el7sat.noarch
--> Running transaction check
---> Package python-beautifulsoup4.noarch 0:4.3.2-1.el7sat will be installed
--> Processing Dependency: python-html5lib for package: python-beautifulsoup4-4.3.2-1.el7sat.noarch
---> Package python-isodate.noarch 0:0.5.0-5.pulp.el7sat will be installed
---> Package python-psutil.x86_64 0:5.0.1-1.el7sat will be installed
---> Package python2-tracer.noarch 0:0.6.13-2.el7sat will be installed
--> Processing Dependency: python-argcomplete for package: python2-tracer-0.6.13-2.el7sat.noarch
---> Package qpid-proton-c.x86_64 0:0.16.0-7.el7 will be installed
---> Package tracer-common.noarch 0:0.6.13-2.el7sat will be installed
--> Running transaction check
---> Package python-html5lib.noarch 1:0.999-1.el7sat will be installed
---> Package python2-tracer.noarch 0:0.6.13-2.el7sat will be installed
--> Processing Dependency: python-argcomplete for package: python2-tracer-0.6.13-2.el7sat.noarch
--> Finished Dependency Resolution
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

2017-09-09 13:02:34 - robottelo.ssh - INFO - <<< stderr
Error: Package: python2-tracer-0.6.13-2.el7sat.noarch (hpN3JJ_FQpTYkuzaJHCXDiEUCVM_XTygDrgvoQeqAqQ)
           Requires: python-argcomplete

Version-Release number of selected component (if applicable):
sat6.3.0 snap#15
katello-agent.noarch 0:3.0.2-2.el7sat


Steps to Reproduce:
1. enable snap#15 sat-tools repo
2. try to install katello-agent package

Actual results:
unable to install katello-agent - python2-tracer requires python-argcomplete which is not present in the repo

Expected results:
katello-agent installs just fine

Comment 3 Evgeni Golov 2017-09-11 09:04:33 UTC
We don't ship tracer on EL5/6, so this should not affect archaeology efforts.

Comment 4 Evgeni Golov 2017-09-12 10:21:56 UTC
python-argcomplete was built: https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=596356

Comment 6 Satellite Program 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.